-- ZB_DM_YJPK ZB_DM_已决赔款
-- key:allyjpk/日期
-- 1、日期:已决立案日期  未决估损调整日期(yyyyMMdd)



-- step1：
-- 团队汇总
CREATE TEMPORARY VIEW VIEW_ZB_DM_YJPK_TUANDUI AS 
SELECT 
     s1.`setdate`                          as `setdate`
    ,s1.`LEVEL1COMCODE`                    as `LEVEL1COMCODE`                 
    ,s1.`LEVEL2COMCODE`                    as `LEVEL2COMCODE`                 
    ,s1.`LEVEL3COMCODE`                    as `LEVEL3COMCODE`                 
    ,s1.`LEVEL4COMCODE`                    as `LEVEL4COMCODE`                 
    ,sum(cast(s1.`cost` as DECIMAL(18,2))) as `cost`
from ZB_ODS.ZB_ODS_KAFKA.LPDATA s1
where     
    s1.`COMNAME` is not null
    and s1.`flag`= 'yj'
    and LEFT(s1.`setdate`,8) <= DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
group by 
    s1.`setdate`
    ,s1.`LEVEL1COMCODE`                     
    ,s1.`LEVEL2COMCODE`                     
    ,s1.`LEVEL3COMCODE`                     
    ,s1.`LEVEL4COMCODE`                     
;

-- 总公司 
insert into ZB_DM.ZB_DM_REDIS.SET_DECIMAL
select 
    CONCAT(
        'allyjpk/'
        ,s1.`setdate`
    )                                      as `key`
    ,sum(cast(s1.`cost` as DECIMAL(18,2))) as `val` 
from VIEW_ZB_DM_YJPK_TUANDUI s1
group by 
    s1.`setdate`
;

-- 分公司
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select 
    CONCAT(
        'provyjpk/'
        ,s1.`setdate`
    )                                      as `key`
    ,s1.`LEVEL1COMCODE`                    as `hkey` 
    ,sum(cast(s1.`cost` as DECIMAL(18,2))) as `val` 
from VIEW_ZB_DM_YJPK_TUANDUI s1
group by 
     s1.`setdate`
    ,s1.`LEVEL1COMCODE`
;

-- 中支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'cityyjpk/'
        ,s1.`setdate`
     )                                      as `key`
     ,s1.`LEVEL2COMCODE`                    as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2))) as `val`
from VIEW_ZB_DM_YJPK_TUANDUI s1
group by
    s1.`setdate`
    ,s1.`LEVEL2COMCODE`
;


-- 县支
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'countyyjpk/'
        ,s1.`setdate`
     )                                      as `key`
     ,s1.`LEVEL3COMCODE`                    as `hkey`
     ,sum(cast(s1.`cost` as DECIMAL(18,2))) as `val`
from VIEW_ZB_DM_YJPK_TUANDUI s1
group by
    s1.`setdate`
    ,s1.`LEVEL3COMCODE`
;


-- 团队
insert into ZB_DM.ZB_DM_REDIS.HSET_DECIMAL
select
    CONCAT(
            'teamyjpk/'
        ,s1.`setdate`
     )                                      as `key`
     ,s1.`LEVEL4COMCODE`                    as `hkey`
     ,cast(s1.`cost` as DECIMAL(18,2))      as `val`
from VIEW_ZB_DM_YJPK_TUANDUI s1
;